MrmFetchColorLiteral(3Xm)

NAME
MrmFetchColorLiteral - Fetches a named color literal from a UID file.

SYNOPSIS
#include <Xm/Intrinsics>
#include <Mrm/MrmPublic.h>
int MrmFetchColorLiteral(hierarchy_id, index, display, colormap_id, pixel)
MrmHierarchy hierarchy_id;
String index;
Display *display;
Colormap colormap_id;
Pixel *pixel;

DESCRIPTION
The MrmFetchColorLiteral function fetches a named color literal from a uid file, and converts the color literal to a pixel color value.

hierarchy_id
    Specifies the ID of the uid hierarchy that contains the specified literal. The hierarchy_id was returned in a previous call to MrmOpenHierarchy.

index
    Specifies the uil name of the color literal to fetch. You must define this name in uil as an exported value.

display
    Specifies the display used for the pixmap. The display argument specifies the connection to the X server. For more information on the Display structure see the Xlib function XOpenDisplay.

colormap_id
    Specifies the ID of the color map. If NULL, the default color map is used.

pixel
    Returns the ID of the color literal.

RETURN VALUE
This function returns one of these status return constants:

MrmSUCCESS
    The function executed successfully.

MrmNOT_FOUND
    The color literal was not found in the UIL file.

MrmFAILURE
    The function failed.

RELATED INFORMATION
MrmFetchIconLiteral(3Xm), MrmFetchLiteral(3Xm), XOpenDisplay(3Xm)